Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.security.authentication.provider
Class AuthenticationProviderIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<AuthenticationProviderID>
              com.bea.portal.tools.security.authentication.provider.AuthenticationProviderIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class AuthenticationProviderIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<AuthenticationProviderID>

Builds and parses `AuthenticationProviderID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`AuthenticationProviderIDBuilder()` Constructor.

Method Summary
`AuthenticationProviderID` | `createResourceID()` Create the `AuthenticationProviderID`.
`String` | `getName()` Get the name of the authentication provider.
`String` | `getVersion()` Get the version of the authentication provider.
`AuthenticationProviderIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`AuthenticationProviderIDBuilder` | `setName(String name)` Change the name of the authentication provider.
`AuthenticationProviderIDBuilder` | `setVersion(String version)` Change the version of the authentication provider.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationProviderIDBuilder

    public AuthenticationProviderIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public AuthenticationProviderIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<AuthenticationProviderID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getName

    public String getName()

  Get the name of the authentication provider.

  Returns
    the name of the authentication provider

### setName

    public AuthenticationProviderIDBuilder setName(String name)

  Change the name of the authentication provider.

  Parameters
    `name` - the name of the authentication provider
  Returns
    this `AuthenticationProviderIDBuilder`

### getVersion

    public String getVersion()

  Get the version of the authentication provider.

  Returns
    the version of the authentication provider

### setVersion

    public AuthenticationProviderIDBuilder setVersion(String version)

  Change the version of the authentication provider.

  Parameters
    `version` - the version of the authentication provider
  Returns
    this `AuthenticationProviderIDBuilder`

### createResourceID

    public AuthenticationProviderID createResourceID()

  Create the `AuthenticationProviderID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<AuthenticationProviderID>`
  Returns
    the `AuthenticationProviderID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved